package com.yunzhi.shigongli.service.impl;

import com.yunzhi.shigongli.common.Constants;
import com.yunzhi.shigongli.entity.TaHotelAccount;
import com.yunzhi.shigongli.mapper.TaHotelAccountMapper;
import com.yunzhi.shigongli.service.ITaHotelAccountService;

import org.omg.PortableInterceptor.ACTIVE;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 民宿账户 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaHotelAccountServiceImpl extends BaseServiceImpl<TaHotelAccountMapper, TaHotelAccount> implements ITaHotelAccountService {

    @Async
    @Override
    public void initSystemAccount() {
        try {
            TaHotelAccount account = getById(Constants.SYSTEM_ACCOUNT_ID);
            if (null == account) {
                account = new TaHotelAccount();
                account.setAccountId(Constants.SYSTEM_ACCOUNT_ID);
                account.setHotelId(Constants.SYSTEM_ACCOUNT_ID);
                save(account);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
